%define api		1.0
%define major		17
%define libname 	%mklibname %{name} %{api} %{major}
%define libname_devel	%mklibname -d %{name}

# don't provide plugin .so
###%define _exclude_files_from_autoprov %{_libdir}/gretl-gtk2/.*\\.so

Name:		gretl
Version:	2016b
Release:	%mkrel 3
Summary:	A tool for econometric analysis
Group:		Sciences/Mathematics
License:	GPLv3+ and BSD and MIT
URL:		http://gretl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#Licensing of plugins used in gretl
Source1:	gretl_plugins.txt

BuildRequires:	desktop-file-utils
BuildRequires:	gtk3-devel
BuildRequires:	%{_lib}glib2.0-devel
BuildRequires:	%{_lib}blas-devel
BuildRequires:	%{_lib}fftw-devel
BuildRequires:	gettext
BuildRequires:	libxml2-devel
BuildRequires:	%{_lib}gtksourceview3.0-devel
BuildRequires:	%{_lib}json-glib-devel
BuildRequires:	lapack-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel
BuildRequires:	gnuplot
BuildRequires:	%{_lib}gnomeui2-devel
BuildRequires:	fonts-ttf-bitstream-vera
BuildRequires:	fonts-ttf-freefont
BuildRequires:	curl-devel

Requires:	gnuplot
Requires: 	%{_lib}gtksourceview3.0_1
Requires: 	%{_lib}curl4
Requires: 	gnu-free-sans-fonts
Requires:	fonts-ttf-bitstream-vera
Requires:	fonts-ttf-freefont

%description
A cross-platform software package for econometric analysis,
written in the C programming language.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-avx
%make 
cp %{SOURCE1} %{_builddir}/%{name}-%{version}/gretl_plugins.txt

%install
rm -rf %{buildroot}
%makeinstall 

%find_lang %{name}

#we don't want these
##find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}/%{_libdir}/libgretl*.la
rm -rf %{buildroot}/%{_libdir}/gretl-gtk2/*.la

#font installation
#rm -rf %{buildroot}/%{_datadir}/%{name}/fonts/*
#ln -s %{_datadir}/fonts/TTF/Vera.ttf %{buildroot}/%{_datadir}/%{name}/fonts/Vera.ttf
#ln -s %{_datadir}/fonts/TTF/VeraMono.ttf %{buildroot}/%{_datadir}/%{name}/fonts/VeraMono.ttf
#ln -s %{_datadir}/fonts/TTF/FreeSans.ttf %{buildroot}/%{_datadir}/%{name}/fonts/FreeSans.ttf

##rm -rf %{buildroot}/%{_datadir}/%{name}/doc

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=gretl
Comment=Econometrics program
Exec=/usr/bin/gretl %f
Icon=/usr/share/pixmaps/gretl.xpm
Terminal=false
Type=Application
Categories=Science;Education;Math;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;
StartupNotify=true
EOF

mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
cp pixmaps/%{name}.xpm  $RPM_BUILD_ROOT/%_datadir/pixmaps/

# fix permissions
chmod 644 $RPM_BUILD_ROOT/%_datadir/%{name}/data/misc/*.gdt

# create NEWS file for the button on the about dialog
cat ChangeLog > %{buildroot}%{_datadir}/%{name}/NEWS

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog CompatLog README.audio README gretl_plugins.txt
%{_bindir}/gretl*
%{_libdir}/gretl-gtk3
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/applications/gretl*
%{_datadir}/appdata/gretl.appdata.xml
%{_datadir}/pixmaps/%{name}.xpm
%{_libdir}/libgretl-%{api}.so.%{major}
%{_libdir}/libgretl-%{api}.so.%{major}.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gretl.pc
%{_libdir}/libgretl*.so
%{_includedir}/*


%changelog
* Tue Sep 12 2017 bb2 <bb2> - 2016b-3pclos2017
- rebuild against updates

* Sat Sep 09 2017 bb2 <bb2> - 2016b-2pclos2017
- rebuild new gcc

* Sat Jun 04 2016 ghostbunny <ghostbunny at gmx dot de> 2016b-1pclos2016
- 2016b (version schema has changed)
- removed icon there is one delivered in the source package

* Tue Oct 13 2015 bb <bb> 1.10.2-2pclos2015
- rebuild for updates

* Fri Sep 18 2015 pp <pp> 1.10.2-1pclos2015
- imported package 

